<template>
  <v-container>
    <v-row>
      <v-col cols="4">
        <v-btn
            color="blue"
            v-text="'back'"
            @click="doBack"
        />
      </v-col>
      <v-col cols="4">
        <center>
          <h1>Progress Batch Detail</h1>
          <h1 v-text="$route.params.proccess_id" />
        </center>
      </v-col>
      <v-col cols="4" />
    </v-row>
    <v-row>
      <v-col cols="12">
        <v-btn
            color="blue darken-1"
            text
            v-text="'reload'"
            v-if="log.status === 'IN_PROGRESS' || log.status == null"
            @click="doRetrieveProccessId"
        />
        <v-flex style="overflow:auto" v-if="log.logConfigDetails">
          <div v-for="logconfig in log.logConfigDetails" :key="logconfig.id">
            <pre>
                      {{ logconfig.cmd }} </pre>
            <pre>{{ logconfig.result }}</pre>
          </div>
        </v-flex>
      </v-col>
    </v-row>
    <DlgMsg ref="dlgMsg" />
    <Loading ref="loading" :dlg-loading="statusProgress" />
  </v-container>
</template>

<script>
import DlgMsg from "../components/dialog/DlgMsg";
import Loading from "../components/dialog/Loading";
import service from "../service/LogConfigService";

export default {
  name: "ProgressBatch",
  components: {
    DlgMsg,
    Loading,
  },
  data:function() {
    return {
      log: {
        status: null,
        logConfigDetails: [],
      },
      statusProgress: false,
    }
  },
  methods: {
    doBack() {
      this.$router.push('/progress/batch')
    },
    async doRetrieveProccessId(){
      this.statusProgress = true
      let proccess_id = this.$route.params.proccess_id
      if (proccess_id) {
        let username = this.$store.getters.getUsername
        await service.getByIdAndUsername(proccess_id, username).then(res => {
          let {status, data} = res.data
          if (status === 'SUCCESS') {
            this.log = data
            let {logConfigDetails} = this.log
            if (logConfigDetails.length > 0) {
              logConfigDetails.sort(service.sortOrder('create_at'))
            }
          }
        }).catch(err => {
          console.log(err)
          console.log(err.response)
        })
      }
      this.statusProgress = false
    },
  },
  mounted() {
    this.doRetrieveProccessId()
  }
}
</script>

<style scoped>

</style>